Home | All Classes | Grouped Classes | Index | Search

# CL_OpenGLWindow::CL_OpenGLWindow

Constructs an opengl window.

    	CL_OpenGLWindow();

    	CL_OpenGLWindow(
    		const CL_OpenGLWindow& copy);

    	CL_OpenGLWindow(
    		const std::string& title, int width, int height, bool start_fullscreen = false, bool allow_resize = false, int flipping_buffers = 2);

Parameters:

title
  Titlebar text.
width, height
  Size of window, in pixels.
start_fullscreen
  If true, window will go full screen.
allow_resize
  If true, window will have resize grabbers.
flipping_buffer
  Amount of buffers in flipping system.

See also:

CL_OpenGL | CL_OpenGLWindow

Questions or comments, write to the ClanLib mailing list.